"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const evangelist_surfaces_tooltip_1 = require("@teambit/evangelist.surfaces.tooltip");
const hoverable_1 = require("bit-bin/dist/to-eject/css-components/hoverable");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const main_dropdown_module_scss_1 = __importDefault(require("./main-dropdown.module.scss"));
// type MainDropdownProps = {
// } & React.HTMLAttributes<HTMLDivElement>;
function MainDropdown() {
    return (react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.mainDropdown },
        react_1.default.createElement(evangelist_surfaces_tooltip_1.TooltipDrawer, { className: main_dropdown_module_scss_1.default.dropdown, tooltipClass: main_dropdown_module_scss_1.default.menu, placeholder: "", clickOutside: true, PlaceholderComponent: () => (react_1.default.createElement("div", null,
                react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.overlay }),
                react_1.default.createElement(evangelist_elements_icon_1.Icon, { className: classnames_1.default(main_dropdown_module_scss_1.default.icon), of: "more" }))) },
            react_1.default.createElement("div", null,
                react_1.default.createElement(MenuBlock, { title: "General" },
                    react_1.default.createElement("div", null,
                        react_1.default.createElement(Line, { title: "search", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Command search", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "shortcuts", of: "thin-arrow-up" }))),
                react_1.default.createElement(MenuBlock, { title: "component bar" },
                    react_1.default.createElement("div", null,
                        react_1.default.createElement(Line, { title: "Show component bar", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Next component", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Previous component", of: "thin-arrow-up" }))),
                react_1.default.createElement(MenuBlock, { title: "tab navigation" },
                    react_1.default.createElement("div", null,
                        react_1.default.createElement(Line, { title: "Next tab", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Previous tab", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Go to Overview tab", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Go to Compositions tab", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Go to History tab", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Go to Tests tab", of: "thin-arrow-up" }),
                        react_1.default.createElement(Line, { title: "Go to Version menu", of: "thin-arrow-up" })))))));
}
exports.MainDropdown = MainDropdown;
function Line({ title, of }) {
    return (react_1.default.createElement("div", { className: classnames_1.default(hoverable_1.hoverable, main_dropdown_module_scss_1.default.line) },
        react_1.default.createElement("div", null, title),
        react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: of, className: main_dropdown_module_scss_1.default.key })));
}
function MenuBlock({ title, children }) {
    return (react_1.default.createElement("div", { className: classnames_1.default(main_dropdown_module_scss_1.default.menuBlock) },
        react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.title }, title),
        children));
}
//# sourceMappingURL=main-dropdown.js.map